package com.ssj.service.conch.conch.padrequest;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 17:07 2019/11/7
 * @Modified By
 */
public class PadMultipleCheckInImgRequest extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "checkInImgList", value = "作业登记图片url集合", required = true)
    @NotEmpty
    private List<String> checkInImgList;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public List<String> getCheckInImgList() {
        return checkInImgList;
    }

    public void setCheckInImgList(List<String> checkInImgList) {
        this.checkInImgList = checkInImgList;
    }
}
